[package]
name = "bone-document"
version.workspace = true
edition.workspace = true
license.workspace = true
rust-version.workspace = true

[dependencies]
bone-types = { workspace = true }
bone-solver = { workspace = true }
blake3 = { workspace = true }
ron = { workspace = true }
serde = { workspace = true }
slotmap = { workspace = true }
thiserror = { workspace = true }
tracing = { workspace = true }

[dev-dependencies]
insta = { workspace = true }
nalgebra = { workspace = true }
proptest = { workspace = true }
tempfile = { workspace = true }

[lints]
workspace = true
